---
author: "UEFF"
title: "Skangreag Barbedview"
date: 2017-04-02T12:00:06+01:00
draft: false
type: "showcase"
---

## General info
| | |
|-|-|
| Name | Skangreag Barbedview |
| Date of birth | 17.11.90 BLC |
| City of birth | [Vin Daral](/cities/vindaral) |
| Nationality | ![Urotha](/images/flags/urotha_small_md.png) [Urotha](/nations/urotha) |
| Race | [Dwarf](/races/dwarf) |
| Position | Defender |
| Current club | [Vin Daral Grounders](/teams/vindaralgrounders) |

## Club career

| Club | Season | Apps | Goals |
|-|-|-|-|
| [Vin Daral Grounders](/teams/vindaralgrounders) | 20 | | |

## Honours

